Bug 15628 - Remove get_branchinfos_of vestiges
Summary: Remove get_branchinfos_of vestiges
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 7034
Blocks: 15293 15629
  Show dependency treegraph
 
Reported: 2016-01-20 11:28 UTC by Jonathan Druart
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15628: Remove get_branchinfos_of vestiges (1.23 KB, patch)
2016-01-20 11:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15628: Remove get_branchinfos_of vestiges (1.33 KB, patch)
2016-01-20 17:53 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15628: Remove get_branchinfos_of vestiges (1.36 KB, patch)
2016-01-22 17:36 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-01-20 11:28:28 UTC
The C4::Branch::get_branchinfos_of subroutine has been removed by bug 7034, but 2 occurrences have been left

git grep get_branchinfos_of
C4/Branch.pm:           &get_branchinfos_of
t/db_dependent/Branch.t:      get_branchinfos_of
Comment 1 Jonathan Druart 2016-01-20 11:29:38 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-01-20 17:53:39 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-01-22 17:36:57 UTC
Created attachment 47209 [details] [review]
Bug 15628: Remove get_branchinfos_of vestiges

The C4::Branch::get_branchinfos_of subroutine has been removed by bug
7034, but 2 occurrences have been left

git grep get_branchinfos_of
C4/Branch.pm:           &get_branchinfos_of
t/db_dependent/Branch.t:      get_branchinfos_of

Test plan:
  git grep get_branchinfos_of
should not return any occurrences.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Vestiges removed

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Brendan Gallagher 2016-01-27 05:31:46 UTC
Pushed to Master - Should be in the May 2016 release. Thanks!
Comment 5 Julian Maurice 2016-02-04 21:30:07 UTC
Patch pushed to 3.22.x, will be in 3.22.3
Comment 6 Frédéric Demians 2016-02-20 08:53:57 UTC
This patch has been pushed to 3.20.x, will be in 3.20.9.